Page MenuHomePhabricator

Coordinate Wikimedia's participation in Google Summer of Code 2017
Closed, DuplicatePublic

Description

This task is about coordinating Wikimedia's participation in Google Summer of Code 2017. List below is to keep track of related upcoming tasks:

  • Announce on Wikitech-I
  • Promote participation in GSOC through our social media channels and GSOC's
  • Recruit mentors and tasks - Ongoing
  • Update projects and mentors on the landing page - Ongoing
  • Create a signup form for the info session around GSOC/Outreachy
  • Organize an info session on March 14th at 9:00 am PST

More tasks will be added to the list above, as they will come.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2017, 12:11 AM
srishakatux triaged this task as High priority.Feb 28 2017, 12:11 AM
srishakatux updated the task description. (Show Details)Feb 28 2017, 1:15 AM
srishakatux updated the task description. (Show Details)Mar 6 2017, 11:46 PM

acagastya submitted proposals for two GSoC projects on the talk page She is wondering when she will receive feedback on this. What is the process to handle these proposals?

srishakatux updated the task description. (Show Details)May 8 2017, 9:43 PM

Results for Google Summer of Code and Outreachy were announced last week and shared on Wikitech-I https://lists.wikimedia.org/pipermail/wikitech-l/2017-May/088123.html and through MediaWiki's social media channels.

All candidates were sent a Congratulations email listing a bunch of next steps related to the Community bonding period. All candidates were sent an invite to join a group on Zulip as part of T150732 and mentors were notified of the same. Both GSOC/Outreachy MW pages were updated accordingly. A brief overview of the email is here:

On behalf of the Wikimedia Foundation, I would like to congratulate you on getting accepted to the Google Summer of Code 2017 program!
Between now and May 29th is the community bonding period, and so we would like to point you to a few next steps:

  • Verify your information listed on the MediaWiki’s Google Summer of Code page under Accepted Projects section
  • If you haven't yet subscribed to our mailing list wikitech-l@lists.wikimedia.org, please do so. Introduce yourself on this thread, share where you are from, a brief summary of project you will be contributing to this summer
  • Start communicating with your mentors on refining your project proposal, finalizing deadlines and setting milestones
  • You will receive an invitation to join a group chat on Zulip with other students and mentors of the program in a bit! All throughout the program for communication purposes, we will encourage candidates to be active on Zulip
  • If you haven’t yet setup a blog, please do so. We'll encourage you to submit weekly reports and link them from the Updates section in the table here. We'll also be sharing your work with our broader community through our social media channels
  • Please make sure you are aware of your responsibilities as a student

If you’ve any questions or concerns, you’re most welcome to reach out to me anytime during the program.
We’re so proud of your contributions to our community so far, welcome aboard and wish you a pleasant summer working with Wikimedia!

The same update applies to T158272

srishakatux lowered the priority of this task from High to Low.Jun 27 2017, 2:18 AM